/*
 *    PROJECT:      DVS
 *    SUBSYSTEM:    dp
 *    MODULE:       divvers.c
 *
 *    File:         $RCSfile: divvers.h,v $
 *    Revision:     $Revision: 1.6 $
 *    Date:         $Date: 1995/05/18 09:36:22 $
 *    Author:       $Author: jeff $
 *    RCS Ident:    $Id: divvers.h,v 1.6 1995/05/18 09:36:22 jeff beta $
 *
 *    FUNCTION:
 *    macro to aid the printing of version no's for components.
 *
 * Copyright (c) 1995 Division Ltd.
 *
 * All Rights Reserved.
 *
 * This Document may not, in whole or in part, be copied,
 * photocopied, reproduced, translated, or reduced to any
 * electronic medium or machine readable form without prior
 * written consent from Division Ltd.
 */
#ifndef _DIVVERS_H
#define _DIVVERS_H

#include <stdio.h>
#define divVersion(filep,module,description,version) \
do { \
    static int done = 0; \
    static char *vstring = "@(#)Division dVS. " module " - " description \
                           ". Version " version ". " __DATE__ ; \
    if (done == 0) { \
        fprintf (stdout, "%s\n", &vstring [4]); \
        if (filep) \
            fprintf (filep, "%s\n", &vstring [4]); \
    } \
    done = 1; \
} while (0)

#define div3rdPartyVersion(filep,party,description,version,date) \
do { \
    static int done = 0; \
    static char *vstring = party ". " description \
                           ". Version " version ". " date ; \
    if (done == 0) { \
        fprintf (stdout, "%s\n", vstring); \
        if (filep) \
            fprintf (filep, "%s\n", vstring ); \
    } \
    done = 1; \
} while (0)

#endif
